org.xlattice.crypto.filters

## Class KeySelector.GenericWordSelector

- java.lang.Object
- - org.xlattice.crypto.filters.KeySelector.GenericWordSelector

- All Implemented Interfaces:
    KeySelector.WordSelector
  Enclosing class:
    KeySelector

      public class KeySelector.GenericWordSelector
      extends Object
      implements KeySelector.WordSelector

  Extracts the k word offsets from a key. Suitable for general values of m and k. See above for formula for max m and k.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySelector.GenericWordSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getWordSelectors()` Extract the k offsets into the word offset array

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeySelector.GenericWordSelector

          public KeySelector.GenericWordSelector()

  - ### Method Detail

    - #### getWordSelectors

          public void getWordSelectors()

      Extract the k offsets into the word offset array
      Specified by:
        `getWordSelectors` in interface `KeySelector.WordSelector`